From dd24f74dfcf1990a3f74988a95c148b0e80efbcc Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:24:40 +0000
Subject: [PATCH 818/2232] Move cc-related code out of paths module


---

diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index 88a1874..c611eea 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -122,9 +122,10 @@ impl Project {
 
 fn build(rust_source_files: &mut dyn Iterator<Item = impl AsRef<Path>>) -> Result<Build> {
     let ref prj = Project::init()?;
-    let mut build = paths::cc_build(prj);
+    let mut build = Build::new();
     build.cpp(true);
     build.cpp_link_stdlib(None); // linked via link-cplusplus crate
+    build.include(paths::include_dir(prj));
     write_header(prj);
     symlink_crate(prj, &mut build);
 
diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index e02246a..d6ff359 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -16,12 +16,6 @@ pub(crate) fn out_dir() -> Result<PathBuf> {
         .ok_or(Error::MissingOutDir)
 }
 
-pub(crate) fn cc_build(prj: &Project) -> cc::Build {
-    let mut build = cc::Build::new();
-    build.include(include_dir(prj));
-    build
-}
-
 // Symlink the header file into a predictable place. The header generated from
 // path/to/mod.rs gets linked to target/cxxbridge/path/to/mod.rs.h.
 pub(crate) fn symlink_header(prj: &Project, path: &Path, original: &Path) {

